# -------------------------------------------------------------------
# $Id: Torque.master,v 1.4 2002/09/11 13:53:26 stephenh Exp $
#
# This is the configuration file for Torque.
#
# Note that strings containing "," (comma) characters must backslash
# escape the comma (i.e. '\,')
#
# -------------------------------------------------------------------

torque.applicationRoot = .

# -------------------------------------------------------------------
#
#  L O G G I N G
#
# -------------------------------------------------------------------
# We use Log4J for all Torque logging and we embed the log4j
# properties within our application configuration.
# -------------------------------------------------------------------

# This first category is required and the category
# must be named 'default'. This is used for all logging
# where an explicit category is not specified.

log4j.category.org.apache.torque = ALL, org.apache.torque
log4j.appender.org.apache.torque = org.apache.log4j.FileAppender
log4j.appender.org.apache.torque.file = ${torque.applicationRoot}/logs/torque.log
log4j.appender.org.apache.torque.layout = org.apache.log4j.PatternLayout
log4j.appender.org.apache.torque.layout.conversionPattern = %d [%t] %-5p %c - %m%n
log4j.appender.org.apache.torque.append = false

# -------------------------------------------------------------------
#
#  T O R Q U E  P R O P E R T I E S
#
# -------------------------------------------------------------------
# These are your database settings. Look in the
# org.apache.torque.pool.* packages for more information.
#
# The parameters to connect to the default database.  You MUST
# configure these properly.
# -------------------------------------------------------------------

torque.database.default=MMCycle
torque.database.bookstore.adapter=mssql

## Using torque's old pool
torque.dsfactory.MMCycle.factory=org.apache.torque.dsfactory.TorqueDataSourceFactory
torque.dsfactory.MMCycle.pool.defaultMaxConnections=10
torque.dsfactory.MMCycle.pool.maxExpiryTime=3600
torque.dsfactory.MMCycle.pool.connectionWaitTimeout=10
torque.dsfactory.MMCycle.connection.driver=com.microsoft.jdbc.sqlserver.SQLServerDriver
torque.dsfactory.MMCycle.connection.url=jdbc:microsoft:sqlserver://DB1:1433;DatabaseName=MMCycle;SelectMethod=cursor
torque.dsfactory.MMCycle.connection.user = sa
torque.dsfactory.MMCycle.connection.password = (7MOR6pa2)

## Using Jdbc2Pool
#torque.dsfactory.bookstore.factory=\
#  org.apache.torque.dsfactory.Jdbc2PoolDataSourceFactory
#torque.dsfactory.bookstore.pool.defaultMaxActive=10
#torque.dsfactory.bookstore.pool.testOnBorrow=true
#torque.dsfactory.bookstore.pool.validationQuery=SELECT 1
#torque.dsfactory.bookstore.connection.driver = org.gjt.mm.mysql.Driver
#torque.dsfactory.bookstore.connection.url = jdbc:mysql://localhost:3306/torque
#torque.dsfactory.bookstore.connection.user = user
#torque.dsfactory.bookstore.connection.password = password


## Using jndi
#torque.dsfactory.bookstore.factory=org.apache.torque.dsfactory.JndiDataSourceFactory
#torque.dsfactory.bookstore.jndi.path=jdbc/bookstore
#torque.dsfactory.bookstore.jndi.java.naming.factory.initial = org.apache.naming.java.javaURLContextFactory
#torque.dsfactory.bookstore.jndi.java.naming.factory.url.pkgs = org.apache.naming

#torque.dsfactory.bookstore.datasource.classname=org.apache.torque.pool.TorqueClassicDataSource
#torque.dsfactory.bookstore.datasource.dataSourceName=jdbc/DBbookstore
#torque.dsfactory.bookstore.datasource.jndiEnvironment.java.naming.factory.initial = org.apache.naming.java.javaURLContextFactory
#torque.dsfactory.bookstore.datasource.jndiEnvironment.java.naming.factory.url.pkgs = org.apache.naming
#torque.dsfactory.bookstore.datasource.defaultMaxConnections=10

## ConnectionPoolDataSource
#torque.dsfactory.bookstore.factory=org.apache.torque.dsfactory.JndiDataSourceFactory
#torque.dsfactory.bookstore.jndi.path=jdbc/DBbookstore
#torque.dsfactory.bookstore.jndi.java.naming.factory.initial = org.apache.naming.java.javaURLContextFactory
#torque.dsfactory.bookstore.jndi.java.naming.factory.url.pkgs = org.apache.naming
#torque.dsfactory.bookstore.datasource.classname=org.apache.commons.dbcp.cpdsadapter.DriverAdapterCPDS
#torque.dsfactory.bookstore.datasource.driver = org.gjt.mm.mysql.Driver
#torque.dsfactory.bookstore.datasource.url = jdbc:mysql://localhost:3306/torque
#torque.dsfactory.bookstore.datasource.user = user
#torque.dsfactory.bookstore.datasource.password = password

# Determines if the quantity column of the IDBroker's id_table should
# be increased automatically if requests for ids reaches a high
# volume.

torque.idbroker.cleverquantity=true

# Determines whether the managers cache instances of the business objects.
# And also whether the MethodResultCache will really cache results.

torque.manager.useCache = true

